# HLAvariantRecord< DE, DM, R, false > Struct Template Reference

`#include <HLAvariantRecord.hh>`

List of all members.

## Public Member Functions
DM & | discriminant () const
| Get/Set the discriminant, without memory management.
void | set_discriminant (int d)
| Set the discriminant, with memory management.
template<int e>
__DiscriminantOrFieldAt< DE, DM, R, e >::Type & | field () const
const size_t | __sizeof () const
void | copy (void *source)
## Static Public Member Functions
static const size_t | emptysizeof ()
## Static Public Attributes
static const size_t | m_octetBoundary = MAX(DM::m_octetBoundary, R::m_octetBoundary)
static const bool | m_isVariable = true

## Detailed Description

### template<int DE, class DM, class R>
struct libhla::libhla::HLAvariantRecord< DE, DM, R, false >

Definition at line 84 of file HLAvariantRecord.hh.

## Member Function Documentation

DM& discriminant | ( |  | ) | const`[inline]`

Get/Set the discriminant, without memory management.

Definition at line 90 of file HLAvariantRecord.hh.

void set_discriminant | ( | int | d | ) | `[inline]`

Set the discriminant, with memory management.

Definition at line 94 of file HLAvariantRecord.hh.

References __HLAbuffer::shake().

Here is the call graph for this function:

__DiscriminantOrFieldAt<DE,DM,R,e>::Type& field | ( |  | ) | const`[inline]`

Definition at line 104 of file HLAvariantRecord.hh.

static const size_t emptysizeof | ( |  | ) | `[inline, static]`

Definition at line 116 of file HLAvariantRecord.hh.

References libhla::__padding().

Here is the call graph for this function:

const size_t __sizeof | ( |  | ) | const`[inline]`

Definition at line 119 of file HLAvariantRecord.hh.

void copy | ( | void * | source | ) | `[inline]`

Definition at line 127 of file HLAvariantRecord.hh.

References __HLAbuffer::__buffer(), __HLAbuffer::mShakeThat, and __HLAbuffer::mShakeValue.

Here is the call graph for this function:

## Member Data Documentation

const size_t m_octetBoundary = MAX(DM::m_octetBoundary, R::m_octetBoundary)`[static]`

Definition at line 142 of file HLAvariantRecord.hh.

const bool m_isVariable = true`[static]`

Definition at line 143 of file HLAvariantRecord.hh.

The documentation for this struct was generated from the following file:

- HLAvariantRecord.hh